% 读取数据文件
filename = {'data1.txt','data2.txt','data3.txt','data4.txt','1.txt','2.txt'};

for i = 1:6
    data = csvread(filename{i});
    % 分别提取 x、y、xf 和 yf 列
    x = data(:, 1);
    y = data(:, 2);
    xf = data(:, 3);
    yf = data(:, 4);
    figure;
    plot(x,y,'b.');
    hold on;
    plot(xf,yf,'r.');
end